# Technical Documentation

- [Web3 compatibility](https://docs.clv.org/portal/technical-documentation/web3-compatibility.md)
- [eth\_protocolVersion](https://docs.clv.org/portal/technical-documentation/web3-compatibility/eth_protocolversion.md): Returns protocol version encoded as a string
- [eth\_syncing](https://docs.clv.org/portal/technical-documentation/web3-compatibility/eth_syncing.md): Returns an object with data about the sync status or false
- [eth\_hashrate](https://docs.clv.org/portal/technical-documentation/web3-compatibility/eth_hashrate.md): Returns the number of hashes per second that the node is mining with
- [eth\_coinbase](https://docs.clv.org/portal/technical-documentation/web3-compatibility/eth_coinbase.md): Returns the coinbase address to which mining rewards will go.
- [eth\_mining](https://docs.clv.org/portal/technical-documentation/web3-compatibility/eth_mining.md): Returns true if client is actively mining new blocks
- [eth\_chainId](https://docs.clv.org/portal/technical-documentation/web3-compatibility/eth_chainid.md): Returns the chain ID used for transaction signing at the current best block. None is returned if not available
- [eth\_gasPrice](https://docs.clv.org/portal/technical-documentation/web3-compatibility/eth_gasprice.md): Returns the current gas price oracle. The gas price is determined by the last few blocks median gas price.
- [eth\_accounts](https://docs.clv.org/portal/technical-documentation/web3-compatibility/eth_accounts.md): Returns accounts list
- [eth\_blockNumber](https://docs.clv.org/portal/technical-documentation/web3-compatibility/eth_blocknumber.md): Returns highest block number
- [eth\_getBalance](https://docs.clv.org/portal/technical-documentation/web3-compatibility/eth_getbalance.md): Returns balance of the given account
- [eth\_getStorageAt](https://docs.clv.org/portal/technical-documentation/web3-compatibility/eth_getstorageat.md): Returns content of the storage at given address
- [eth\_getBlock](https://docs.clv.org/portal/technical-documentation/web3-compatibility/eth_getblockbynumber.md): Returns block with given number
- [eth\_getTransactionCount](https://docs.clv.org/portal/technical-documentation/web3-compatibility/eth_gettransactioncount.md): Returns the number of transactions sent from given address at given time (block number)
- [eth\_getBlockTransactionCount](https://docs.clv.org/portal/technical-documentation/web3-compatibility/eth_getblocktransactioncountbynumber.md): Returns the number of transactions in a block with given block number
- [eth\_getBlockUncleCount](https://docs.clv.org/portal/technical-documentation/web3-compatibility/eth_getunclecountbyblockhash.md): Returns the number of uncles in a block with given hash
- [eth\_getCode](https://docs.clv.org/portal/technical-documentation/web3-compatibility/eth_getcode.md): Returns the code at given address at given time (block number)
- [eth\_sendTransaction](https://docs.clv.org/portal/technical-documentation/web3-compatibility/eth_sendtransaction.md): Sends transaction; will block waiting for signer to return the transaction hash
- [eth\_sendSignedTransaction](https://docs.clv.org/portal/technical-documentation/web3-compatibility/eth_sendrawtransaction.md): Sends signed transaction, returning its hash
- [eth\_call](https://docs.clv.org/portal/technical-documentation/web3-compatibility/eth_call.md): Call contract, returning the output data
- [eth\_estimateGas](https://docs.clv.org/portal/technical-documentation/web3-compatibility/eth_estimategas.md): Estimate gas needed for execution of given contract
- [eth\_getTransaction](https://docs.clv.org/portal/technical-documentation/web3-compatibility/eth_gettransactionbyhash.md): Get transaction by its hash
- [eth\_getTransactionByBlockHashAndIndex](https://docs.clv.org/portal/technical-documentation/web3-compatibility/eth_gettransactionbyblockhashandindex.md): Returns a transaction based on a block hash and the transaction’s index position.
- [eth\_getTransactionByBlockNumberAndIndex](https://docs.clv.org/portal/technical-documentation/web3-compatibility/eth_gettransactionbyblocknumberandindex.md): Returns a transaction based on a block number and the transaction’s index position.
- [eth\_getTransactionReceipt](https://docs.clv.org/portal/technical-documentation/web3-compatibility/eth_gettransactionreceipt.md): Returns transaction receipt by transaction hash
- [eth\_getUncle](https://docs.clv.org/portal/technical-documentation/web3-compatibility/eth_getunclebyblocknumberandindex.md): Returns an uncles at given block and index
- [eth\_getLogs](https://docs.clv.org/portal/technical-documentation/web3-compatibility/eth_getlogs.md): Returns logs matching given filter object
- [eth\_getWork](https://docs.clv.org/portal/technical-documentation/web3-compatibility/eth_getwork.md): Returns the hash of the current block, the seedHash, and the boundary condition to be met
- [eth\_submitWork](https://docs.clv.org/portal/technical-documentation/web3-compatibility/eth_submitwork.md): Used for submitting a proof-of-work solution
- [eth\_submitHashrate](https://docs.clv.org/portal/technical-documentation/web3-compatibility/eth_submithashrate.md): Used for submitting mining hashrate
- [eth\_subscribe](https://docs.clv.org/portal/technical-documentation/web3-compatibility/eth_subscribe.md): Subscribe to Eth subscription
- [eth\_unsubscribe](https://docs.clv.org/portal/technical-documentation/web3-compatibility/eth_unsubscribe.md): Unsubscribe from existing Eth subscription
- [net\_version](https://docs.clv.org/portal/technical-documentation/web3-compatibility/net_version.md): Returns the current network id
- [net\_peerCount](https://docs.clv.org/portal/technical-documentation/web3-compatibility/net_peercount.md): Returns number of peers connected to node
- [net\_listening](https://docs.clv.org/portal/technical-documentation/web3-compatibility/net_listening.md): Returns true if client is actively listening for network connections. Otherwise false
- [web3\_clientVersion](https://docs.clv.org/portal/technical-documentation/web3-compatibility/web3_clientversion.md): Returns current client version
- [web3\_sha3](https://docs.clv.org/portal/technical-documentation/web3-compatibility/web3_sha3.md): Returns sha3 of the given data
- [Clover Test Cases](https://docs.clv.org/portal/technical-documentation/clover-test-cases.md): In order to make Clover as a secure and high performance multi-chain. There are lots of test cases have been made to support tha.
- [Clover EVM](https://docs.clv.org/portal/technical-documentation/clover-evm.md): Clover EVM is based on Frontier, but we make a lot of changes to support Clover features. Please see the following details.
- [Clover Accounts Binding](https://docs.clv.org/portal/technical-documentation/clover-evm-bind.md)
- [Query Balance](https://docs.clv.org/portal/technical-documentation/query-banalnce.md): This section shows how to connect to Clover mainnet and query the account balance
- [Transaction Finality](https://docs.clv.org/portal/technical-documentation/transaction-finality.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.clv.org/portal/technical-documentation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
